## semantik 0.6.5

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Thomas Nagy, 2007 (ita)
# Tots els suggeriments són benvinguts

APPNAME='semantik'
VERSION='0.6.5'

srcdir = '.'
blddir = 'build'

import os, sys, re
import Params, Action, Task, Utils, Common, Object, Configure
from qt4 import create_rcc_task

trans = "ca fr es de it".split()

Params.g_autoconfig=1

Utils.waf_version(mini="1.1.1", maxi="1.5.9")

def dist():
	import md5
	from Scripting import DistTarball
	(f, filename) = DistTarball(APPNAME, VERSION)
	f = file(filename,'rb')
	m = md5.md5()
	readBytes = 1024 # read 1024 bytes per time
	while (readBytes):
		readString = f.read(readBytes)
		m.update(readString)
		readBytes = len(readString)
	f.close()
	print filename, m.hexdigest()
	sys.exit(0)

def compile_py(task):
	outfile = task.m_outputs[0].abspath(task.m_env)
	f = open(outfile, 'w')
	w = f.write
	w('<!DOCTYPE RCC><RCC version="1.0">\n<qresource>\n')
	for k in task.m_inputs:
		w(' <file>')
		w(k.m_name)
		w('</file>\n')
		w('</qresource>\n</RCC>')
	f.close()

def build(bld):
	env = bld.env_of_name('default')

	import Action
	#[Action.simple_action(x, 'sleep 1&& echo \\"ehlo\\" && touch ${TGT}', color='CYAN') for x in []+Action.g_actions.keys()]
	#[Action.simple_action(x, 'touch ${TGT}', color='CYAN') for x in []+Action.g_actions.keys()]
	# FIXME: why the hell is this needed?
	os.environ['LD_LIBRARY_PATH'] = env['LIBPATH_KDECORE']+':'+os.environ.get('LD_LIBRARY_PATH', '')

	import ocaml
	ocaml.open_re = re.compile('open ([a-zA-Z]+)', re.M)

	#Action.simple_action('ts2qm', '${QT_LRELEASE} ${SRC} -qm ${TGT} 2> /dev/null', color='RED')
	Action.Action('py2rcc', vars=[], func=compile_py, color='BLUE')

	ibj = bld.create_obj('ocaml', 'native')
	ibj.includes = 'util'
	ibj.find_sources_in_dirs('util')
	ibj.target = 'util/ocaml+twt'
	ibj.are_deps_set=1
	ibj.uselib='PP'

	bld.add_group()

	abj = bld.create_obj('ocaml', 'c_object')
	abj.env = env.copy()
	abj.source = ['src/armtlkto.c']
	abj.find_sources_in_dirs('src')
	abj.includes='. src'
	abj.target='camlprog'
	abj.are_deps_set = 1
	abj.uselib = 'TWT'
	abj.add_objects=[]
	Object.g_name_to_obj['camlprog']=abj

	ibj = bld.create_obj('qt4', 'shlib')
	ibj.find_sources_in_dirs('src/wp')
	ibj.target = 'nablah'
	ibj.uselib = 'QTCORE QTGUI'
	ibj.includes='. src src/wp'
	Object.g_name_to_obj['nablah']=ibj
	ibj.install_var = 'KDE4_LIB_INSTALL_DIR'

	import time
	obj = bld.create_obj('qt4', 'program', 'pyembed')
	obj.find_sources_in_dirs('src src/fig', excludes=['src/armtlkto.c'])
	obj.uselib = 'QTCORE QTGUI QTXML QTSVG CAML NABLAH KDECORE KIO KDEUI KHTML'
	obj.uselib_local = 'nablah'
	obj.target = 'src/semantik'
	obj.install_var = 'KDE4_BIN_INSTALL_DIR'
	#obj.defines = ['''TT1=\'"%s"\'''' % time.ctime(), '''TT2='"%s"' ''' % time.ctime(), 'foo=2']

	obj.includes = 'src src/fig'
	obj.add_objects='camlprog'
	obj.post()

	obj.m_linktask.set_run_after(abj.m_tasks[-1])



	rt = 'src/templates/'

	install_files('SEMANTIK_DIR', 'flags', 'src/flags/*.svg')
	install_files('TEMPLATE_DIR', '', rt+'*.py')

	tgt = bld.env_of_name('default')['TEMPLATE_DIR']+'waf'
        if env.get_destdir(): tgt = os.path.join(env.get_destdir(), tgt.lstrip(os.sep))
	Common.do_install(os.path.abspath('waf'), tgt)

	install_files('TEMPLATE_DIR', 'pdflatex', rt+'pdflatex/*')
	for x in 'html odt odp java'.split():
		install_files('TEMPLATE_DIR', x, rt+'%s/*' % x)

	for x in "color font inner outer theme".split():
		k = 'beamer/beamermindist/themes/'
		install_files('TEMPLATE_DIR', k+x, rt+k+x+'/*')

	obj = bld.create_obj('msgfmt', 'semantik')
	obj.langs=['src/po/'+x for x in 'fr es'.split()]

	install_files('TEMPLATE_DIR', 'beamer/beamermindist/art/', rt+'beamer/beamermindist/art/*')
	install_files('TEMPLATE_DIR', 'beamer/beamermindist/', rt+'beamer/beamermindist/*.???')
	install_files('TEMPLATE_DIR', 'beamer/', rt+'beamer/main.tex')
	install_files('TEMPLATE_DIR', 'beamer/', rt+'beamer/wscript')

	install_files('TEMPLATE_DIR', 's5', rt+'s5/index.html')
	install_files('TEMPLATE_DIR', 's5/ui/default/', rt+'s5/ui/default/*')
	install_files('SEMANTIK_DIR', 'images', 'src/images/*.svg')
	install_files('FILTER_DIR', '', 'src/filters/*')

	install_files('KDE4_XDG_APPS_INSTALL_DIR', '', 'src/data/semantik.desktop')
	install_as('KDE4_ICON_INSTALL_DIR', 'hicolor/64x64/apps/semantik.png', 'src/data/hi64-app-semantik.png')
	install_as('KDE4_ICON_INSTALL_DIR', 'hicolor/48x48/apps/semantik.png', 'src/data/hi48-app-semantik.png')
	install_as('KDE4_ICON_INSTALL_DIR', 'hicolor/22x22/apps/semantik.png', 'src/data/hi22-app-semantik.png')
	install_files('KDE4_DATA_INSTALL_DIR', 'semantik', 'src/data/semantikui.rc src/data/tips')

	if Params.g_commands['install'] or Params.g_commands['uninstall']:
		lst = os.listdir('src/images')
		lst = [x for x in lst if (x.rfind('hi')>-1)]
		for x in lst:
			els = x.split('-')
			size = els[0][2:]

			uh = els[2].replace('.png', '')
			uh = 'oxygen/%sx%s/actions/%s.png' % (size, size, uh)
			install_as('KDE4_ICON_INSTALL_DIR', uh, 'src/images/%s' % x)

def configure(conf):
	def test(system):
		return (sys.platform.lower().rfind(system) > -1)

	err = "Semantik cannot work on %s, please install a Linux system from http://www.opensuse.org"
	if (test('linux')):
		Params.pprint('GREEN', "You are using Linux, that's good (tm)")
	elif (test('bsd')):
		Params.pprint('GREEN', "You are using a BSD system, that's good (tm)")
	elif (test('win32') or test('cygwin')):
		Params.fatal(err % "win32")
	elif (test('darwin')):
		Params.fatal(err % "osx")
	elif (test('solaris') or test('sunos')):
		Params.fatal(err % "Sun systems")


	kde_config = os.popen("which kde-config").read().strip()
	if kde_config:
		icons = os.popen('%s --path icon' % kde_config).read().strip()
	else:
		icons = '/usr/share/icons:/usr:/etc/opt/kde3/share/icons/:/opt/kde3/share/icons/:/var/lib/mandriva/kde-profiles/powerpackplus/share/icons/:/usr/share/icons/'
		if not Params.g_options.icons:
			Params.warning("For now Semantik uses a few kde icons - if you have problems seeing the icons install kde")

	if Params.g_options.icons:
		icons = Params.g_options.icons

	conf.define("turlututu", '"chapeau_pointu"')

        conf.check_tool('g++ qt4')
	conf.check_tool('python')
	conf.check_tool('ocaml')
	if not conf.env['CXX']: Params.fatal('Semantik requires g++ (compilation only)')
	if not conf.env['OCAMLOPT']: Params.fatal('Semantik requires ocamlopt (compilation only)')
	if not conf.env['QT_LRELEASE']: Params.fatal('Semantik requires the program lrelease (from the Qt linguist package? - compilation only)')
	if not conf.env['HAVE_QTXML']: Params.fatal('Semantik requires Qt 4')
	if not conf.env['PYTHON']: Params.fatal('Semantik requires Python >= 2.5 (development package for the compilation)')
	conf.check_python_version((2,4,2))
	conf.check_python_headers()
	if not conf.env['PYTHON_VERSION'] in "2.4 2.5 2.6 2.7".split(): Params.warning('Bad Python version %s ' % str(conf.env['PYTHON_VERSION']))

	try:
		conf.check_tool('kde4', tooldir='.')
		Params.pprint('GREEN', "And you even have kde4! we will use it")
	except Configure.ConfigurationError:
		#Params.pprint('YELLOW', "kde4 is disabled (missing)")
		Params.fatal('Semantik requires kde4')

	conf.env['OCALINKFLAGS_OPT_PP']= ' str.cmxa '
	conf.env['LINKFLAGS_CAML'] = '-lasmrun -lstr -lnums'.split()
	conf.env['LIBPATH_CAML'] = conf.env['OCAMLLIB']
	conf.env['LIB_CAML'] = "m".split()
	conf.env['OCAMLFLAGS_TWT'] = '-pp default/util/ocaml+twt ' #-unsafe -noassert -inline 10'
	conf.env['CXXDEFINES']='WAF'
	conf.define('ICONS', icons)
	conf.define('VERSION', VERSION)

	conf.define('SEMANTIK_DIR', conf.env['KDE4_DATA_INSTALL_DIR']+'/semantik')
	conf.define('TEMPLATE_DIR', conf.env['KDE4_DATA_INSTALL_DIR']+'/semantik/templates/')
	conf.define('FILTER_DIR', conf.env['KDE4_DATA_INSTALL_DIR']+'/semantik/filters/')
	conf.env['PICDIR'] = conf.env['KDE4_ICON_INSTALL_DIR'] #j('share/pixmaps/')

	if Params.g_options.use64:
		conf.env['shlib_INST_DIR'] = 'lib64'

	conf.env['CXXFLAGS_PYEMBED'] = [x for x in conf.env['CXXFLAGS_PYEMBED'] if x != '-g']

	conf.env['CXXFLAGS']='-O2 -pipe -Wall'# -DDEBUG=1 -g'
	conf.write_config_header('aux.h')

	# the Debian packagers compile with --prefix=/usr and set /etc/ld.so.conf accordingly
	# the rpath is for end users installing into /usr/local/lib only
	sur = '/usr/local'
	if Params.g_options.prefix[:len(sur)] == sur:
		conf.env['RPATH_NABLAH'] = '-Wl,--rpath=/usr/local/lib'

def set_options(opt):
	opt.tool_options('qt4')
	opt.tool_options('python')
	opt.add_option('--exe', action='store_true', default=False, help='execute after the compilation (developers)')
	opt.add_option('--icons', action='store', default='', help='icon dirs where to look for kde icons (configuration)')
	opt.add_option('--use64', action='store_true', default=False, help='set the installation into lib+64 (configuration)')

def shutdown():
	if Params.g_commands['install']:
		try: os.popen('/sbin/ldconfig 2> /dev/null')
		except: pass
	if Params.g_options.exe:
		#os.popen('export LD_LIBRARY_PATH=build/default/:$LD_LIBRARY_PATH; PATH=plugins:$PATH build/default/src/semantik')
		os.popen('LD_LIBRARY_PATH=build/default/:$LD_LIBRARY_PATH build/default/src/semantik')

=== src/templates/beamer/wscript ===
#! /usr/bin/python
# -*- mode: python encoding: UTF-8 -*-

'''
run:
$ waf configure
$ waf
$ waf --view

or just:
$ waf --view
'''

import os, Params

VERSION = '0.0.1'
APPNAME = 'test'

srcdir = '.'
blddir = 'build'

def build(bld) :
	target = bld.create_obj('tex', 'pdflatex')
	target.source = 'main.tex'

def configure(configuration):
        configuration.check_tool('tex')
	lat = configuration.env['LATEX']
	cwd = os.getcwd()
	cc = cwd + '/beamermindist/'

	lst = []
	for x in "themes/color themes/font themes/inner themes/outer themes/theme art".split():
		lst.append(cc+x)
	u = ":".join(lst)

	configuration.env['LATEX'] = "; export TEXINPUTS=%s:$TEXINPUTS; export GS_OPTIONS=\"-sPAPERSIZE=a4\"; %s" % (u, lat)


def set_options(options):
	options.add_option('--view', action='store_true', default=False, help='View the document')

def shutdown():
	def exists(cmd):
		try:
			txt = os.popen("which %s 2>/dev/null "%cmd).read().strip()
			return len(txt)>=len(cmd)
		except:
			return None

	if Params.g_options.view:
		for i in ["kpdf", "gnome-open", "xpdf"]:
			if exists(i):
				os.popen("%s build/default/main.pdf" % i)
				break

=== src/templates/pdflatex/wscript ===
#! /usr/bin/python
# -*- mode: python encoding: UTF-8 -*-

'''
run:
$ waf configure
$ waf
$ waf --view

or just:
$ waf --view
'''

import os, Params

VERSION = '0.0.1'
APPNAME = 'test'

srcdir = '.'
blddir = 'build'

def build(bld) :
	target = bld.create_obj('tex', 'pdflatex')
	target.source = 'main.tex'

def configure(configuration):
        configuration.check_tool('tex')

def set_options(options):
	options.add_option('--view', action='store_true', default=False, help='View the document')

def shutdown():
	def exists(cmd):
		try:
			txt = os.popen("which %s 2>/dev/null "%cmd).read().strip()
			return len(txt)>=len(cmd)
		except:
			return None

	if Params.g_options.view:
		for i in ["kpdf", "gnome-open", "xpdf"]:
			if exists(i):
				os.popen("%s build/default/main.pdf" % i)
				break

## semantik 0.6.8

=== wscript ===
--- 
+++ 
@@ -4,18 +4,15 @@
 # Tots els suggeriments són benvinguts
 
 APPNAME='semantik'
-VERSION='0.6.5'
+VERSION='0.6.8'
 
 srcdir = '.'
 blddir = 'build'
 
 import os, sys, re
 import Params, Action, Task, Utils, Common, Object, Configure
-from qt4 import create_rcc_task
-
-trans = "ca fr es de it".split()
-
-Params.g_autoconfig=1
+
+#Params.g_autoconfig=1
 
 Utils.waf_version(mini="1.1.1", maxi="1.5.9")
 
@@ -25,7 +22,7 @@
 	(f, filename) = DistTarball(APPNAME, VERSION)
 	f = file(filename,'rb')
 	m = md5.md5()
-	readBytes = 1024 # read 1024 bytes per time
+	readBytes = 100000
 	while (readBytes):
 		readString = f.read(readBytes)
 		m.update(readString)
@@ -71,9 +68,8 @@
 	bld.add_group()
 
 	abj = bld.create_obj('ocaml', 'c_object')
-	abj.env = env.copy()
-	abj.source = ['src/armtlkto.c']
-	abj.find_sources_in_dirs('src')
+	#abj.source = ['src/armtlkto.c']
+	abj.find_sources_in_dirs('src', exts=['.c', '.ml'])
 	abj.includes='. src'
 	abj.target='camlprog'
 	abj.are_deps_set = 1
@@ -82,29 +78,29 @@
 	Object.g_name_to_obj['camlprog']=abj
 
 	ibj = bld.create_obj('qt4', 'shlib')
-	ibj.find_sources_in_dirs('src/wp')
+	ibj.find_sources_in_dirs('src/wp', exts=['.cpp'])
 	ibj.target = 'nablah'
-	ibj.uselib = 'QTCORE QTGUI'
+	ibj.uselib = 'QTCORE QTGUI QTWEBKIT'
 	ibj.includes='. src src/wp'
 	Object.g_name_to_obj['nablah']=ibj
-	ibj.install_var = 'KDE4_LIB_INSTALL_DIR'
+	ibj.inst_var = 'KDE4_LIB_INSTALL_DIR'
 
 	import time
 	obj = bld.create_obj('qt4', 'program', 'pyembed')
-	obj.find_sources_in_dirs('src src/fig', excludes=['src/armtlkto.c'])
+	obj.find_sources_in_dirs('src src/fig', excludes=['src/armtlkto.c'], exts=['.cpp'])
 	obj.uselib = 'QTCORE QTGUI QTXML QTSVG CAML NABLAH KDECORE KIO KDEUI KHTML'
 	obj.uselib_local = 'nablah'
 	obj.target = 'src/semantik'
-	obj.install_var = 'KDE4_BIN_INSTALL_DIR'
+	obj.inst_var = 'KDE4_BIN_INSTALL_DIR'
 	#obj.defines = ['''TT1=\'"%s"\'''' % time.ctime(), '''TT2='"%s"' ''' % time.ctime(), 'foo=2']
 
 	obj.includes = 'src src/fig'
 	obj.add_objects='camlprog'
 	obj.post()
 
-	obj.m_linktask.set_run_after(abj.m_tasks[-1])
-
-
+	obj.link_task.set_run_after(abj.m_tasks[-1])
+
+	install_files('SEMANTIK_DIR', '', 'src/sembind.py')
 
 	rt = 'src/templates/'
 
@@ -181,15 +177,13 @@
 	if Params.g_options.icons:
 		icons = Params.g_options.icons
 
-	conf.define("turlututu", '"chapeau_pointu"')
-
         conf.check_tool('g++ qt4')
 	conf.check_tool('python')
 	conf.check_tool('ocaml')
 	if not conf.env['CXX']: Params.fatal('Semantik requires g++ (compilation only)')
 	if not conf.env['OCAMLOPT']: Params.fatal('Semantik requires ocamlopt (compilation only)')
 	if not conf.env['QT_LRELEASE']: Params.fatal('Semantik requires the program lrelease (from the Qt linguist package? - compilation only)')
-	if not conf.env['HAVE_QTXML']: Params.fatal('Semantik requires Qt 4')
+	if conf.env['HAVE_QTWEBKIT'] != 1: Params.fatal('QtWebKit not found - Semantik requires Qt 4.4')
 	if not conf.env['PYTHON']: Params.fatal('Semantik requires Python >= 2.5 (development package for the compilation)')
 	conf.check_python_version((2,4,2))
 	conf.check_python_headers()
@@ -245,3 +239,31 @@
 		#os.popen('export LD_LIBRARY_PATH=build/default/:$LD_LIBRARY_PATH; PATH=plugins:$PATH build/default/src/semantik')
 		os.popen('LD_LIBRARY_PATH=build/default/:$LD_LIBRARY_PATH build/default/src/semantik')
 
+	return
+	# display the graph of header dependencies
+	root = os.path.abspath('.')
+	def rep(x):
+		return str(x).replace(root, '')
+
+	import types
+	f = open('me.dot', 'w')
+	f.write("digraph G {\n")
+	table = Params.g_build.m_depends_on
+	for a in table:
+		for x in table[a]:
+			if type(table[a][x]) is types.ListType:
+				for y in table[a][x]:
+					f.write('"%s" -> "%s";\n' % (rep(x), rep(y)))
+			else:
+				f.write('"%s" -> "%s";\n' % (rep(x), rep(table[a][x])))
+	f.write('}\n')
+	f.close()
+
+	try:
+		os.popen('dot -Tpng me.dot -ofoo.png').read()
+	except:
+		print "the dot program was not found - install graphviz?"
+	else:
+		print "generated foo.png"
+
+

## semantik 0.7.1

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Thomas Nagy, 2007 (ita)
# Tots els suggeriments són benvinguts

APPNAME='semantik'
VERSION='0.7.1'

srcdir = '.'
blddir = 'build'

import os, sys, re
import Task, Utils, Configure, Options

try: import hashlib as md5
except: import md5

#Params.g_autoconfig=1

def dist():
	from Scripting import dist
	filename = dist(APPNAME, VERSION)
	f = file(filename,'rb')
	m = md5.md5()
	readBytes = 100000
	while (readBytes):
		readString = f.read(readBytes)
		m.update(readString)
		readBytes = len(readString)
	f.close()
	print filename, m.hexdigest()
	sys.exit(0)

def compile_py(task):
	outfile = task.m_outputs[0].abspath(task.m_env)
	f = open(outfile, 'w')
	w = f.write
	w('<!DOCTYPE RCC><RCC version="1.0">\n<qresource>\n')
	for k in task.m_inputs:
		w(' <file>')
		w(k.m_name)
		w('</file>\n')
		w('</qresource>\n</RCC>')
	f.close()

def build(bld):
	env = bld.env_of_name('default')

	os.environ['LD_LIBRARY_PATH'] = env['LIBPATH_KDECORE']+':'+os.environ.get('LD_LIBRARY_PATH', '')

	import ocaml
	ocaml.open_re = re.compile('open ([a-zA-Z]+)', re.M)

	ibj = bld.new_task_gen('ocaml')
	ibj.type = 'native'
	ibj.includes = 'util'
	ibj.find_sources_in_dirs('util')
	ibj.target = 'util/ocaml+twt'
	ibj.are_deps_set=1
	ibj.uselib='PP'

	bld.add_group()

	abj = bld.new_task_gen('ocaml')
	abj.type = 'c_object'
	#abj.source = ['src/armtlkto.c']
	abj.find_sources_in_dirs('src', exts=['.c', '.ml', '.mli'])
	abj.includes='. src'
	abj.target='camlprog'
	abj.are_deps_set = 1
	abj.uselib = 'TWT'

	'''
	ibj = bld.new_task_gen(features=['cxx', 'qt4', 'cshlib'], target = 'nablah', uselib='QTCORE QTGUI QTWEBKIT', includes='. src src/wp')
	ibj.find_sources_in_dirs('src/wp', exts=['.cpp'])
	ibj.install_path = '${KDE4_LIB_INSTALL_DIR}/'
	ibj.post()
	'''

	ibj = bld.new_task_gen(features = 'cxx qt4 cshlib')
	ibj.find_sources_in_dirs('src/wp', exts=['.cpp'])
	ibj.target = 'nablah'
	ibj.uselib = 'QTCORE QTGUI QTWEBKIT'
	ibj.includes='. src src/wp'
	ibj.install_path = '${KDE4_LIB_INSTALL_DIR}/'

	import time
	obj = bld.new_task_gen(features='cxx qt4 cprogram pyembed')
	obj.find_sources_in_dirs('src src/fig', excludes=['src/armtlkto.c'], exts=['.cpp'])
	obj.uselib = 'QTCORE QTGUI QTXML QTSVG CAML NABLAH KDECORE KIO KDEUI KHTML'
	obj.uselib_local = 'nablah'
	obj.target = 'src/semantik'
	obj.install_path = '${KDE4_BIN_INSTALL_DIR}/'
	#obj.defines = ['''TT1=\'"%s"\'''' % time.ctime(), '''TT2='"%s"' ''' % time.ctime(), 'foo=2']

	obj.includes = 'src src/fig'
	obj.add_objects = 'camlprog'

	import Task
	Task.TaskBase.classes['ocalinkx'].before = 'cxx_link'

	bld.install_files('${SEMANTIK_DIR}', 'src/sembind.py')

	rt = 'src/templates/'

	bld.install_files('${SEMANTIK_DIR}/flags', 'src/flags/*.svg')
	bld.install_files('${TEMPLATE_DIR}', rt+'*.py')

	tgt = bld.env_of_name('default')['TEMPLATE_DIR']+'waf'
        if env.get_destdir(): tgt = os.path.join(env.get_destdir(), tgt.lstrip(os.sep))
	bld.do_install(os.path.abspath('waf'), tgt)

	bld.install_files('${TEMPLATE_DIR}/pdflatex', rt+'pdflatex/*')
	for x in 'html odt odp java'.split():
		bld.install_files('${TEMPLATE_DIR}/' + x, rt+'%s/*' % x)

	for x in "color font inner outer theme".split():
		k = 'beamer/beamermindist/themes/'
		bld.install_files('${TEMPLATE_DIR}/' + k+x, rt+k+x+'/*')

	obj = bld.new_task_gen('msgfmt')
	obj.appname = 'semantik'
	obj.langs=['src/po/'+x for x in 'fr es'.split()]

	bld.install_files('${TEMPLATE_DIR}/beamer/beamermindist/art/', rt+'beamer/beamermindist/art/*')
	bld.install_files('${TEMPLATE_DIR}/beamer/beamermindist/', rt+'beamer/beamermindist/*.???')
	bld.install_files('${TEMPLATE_DIR}/beamer/', rt+'beamer/main.tex')
	bld.install_files('${TEMPLATE_DIR}/beamer/', rt+'beamer/wscript')

	bld.install_files('${TEMPLATE_DIR}/s5', rt+'s5/index.html')
	bld.install_files('${TEMPLATE_DIR}/s5/ui/default/', rt+'s5/ui/default/*')
	bld.install_files('${SEMANTIK_DIR}/images', 'src/images/*.svg')
	bld.install_files('${FILTER_DIR}/', 'src/filters/*')

	bld.install_files('${KDE4_XDG_APPS_INSTALL_DIR}/', 'src/data/semantik.desktop')
	bld.install_as('${KDE4_ICON_INSTALL_DIR}/hicolor/64x64/apps/semantik.png', 'src/data/hi64-app-semantik.png')
	bld.install_as('${KDE4_ICON_INSTALL_DIR}/hicolor/48x48/apps/semantik.png', 'src/data/hi48-app-semantik.png')
	bld.install_as('${KDE4_ICON_INSTALL_DIR}/hicolor/22x22/apps/semantik.png', 'src/data/hi22-app-semantik.png')
	bld.install_files('${KDE4_DATA_INSTALL_DIR}/semantik', 'src/data/semantikui.rc src/data/tips')

	if Options.commands['install'] or Options.commands['uninstall']:
		lst = os.listdir('src/images')
		lst = [x for x in lst if (x.rfind('hi')>-1)]
		for x in lst:
			els = x.split('-')
			size = els[0][2:]

			uh = els[2].replace('.png', '')
			uh = 'oxygen/%sx%s/actions/%s.png' % (size, size, uh)
			bld.install_as('${KDE4_ICON_INSTALL_DIR}/' + uh, 'src/images/%s' % x)

def configure(conf):
	def test(system):
		return (sys.platform.lower().rfind(system) > -1)

	err = "Semantik cannot work on %s, please install a Linux system from http://www.opensuse.org"
	if (test('linux')):
		Utils.pprint('GREEN', "You are using Linux, that's good (tm)")
	elif (test('bsd')):
		Utils.pprint('GREEN', "You are using a BSD system, that's good (tm)")
	elif (test('win32') or test('cygwin')):
		conf.fatal(err % "win32")
	elif (test('darwin')):
		conf.fatal(err % "osx")
	elif (test('solaris') or test('sunos')):
		conf.fatal(err % "Sun systems")


	kde_config = os.popen("which kde-config").read().strip()
	if kde_config:
		icons = os.popen('%s --path icon' % kde_config).read().strip()
	else:
		icons = '/usr/share/icons:/usr:/etc/opt/kde3/share/icons/:/opt/kde3/share/icons/:/var/lib/mandriva/kde-profiles/powerpackplus/share/icons/:/usr/share/icons/'
		if not Options.options.icons:
			Logs.warning("For now Semantik uses a few kde icons - if you have problems seeing the icons install kde")

	if Options.options.icons:
		icons = Options.options.icons

        conf.check_tool('gcc g++ qt4')
	conf.check_tool('python')
	if not conf.env['CXX']: conf.fatal('Semantik requires g++ (compilation only)')
	if not conf.env['QT_LRELEASE']: conf.fatal('Semantik requires the program lrelease (from the Qt linguist package? - compilation only)')
	#if conf.env['HAVE_QTWEBKIT'] != 1: conf.fatal('QtWebKit not found - Semantik requires Qt 4.4')
	if not conf.env['PYTHON']: conf.fatal('Semantik requires Python >= 2.5 (development package for the compilation)')
	conf.check_python_version((2,4,2))
	conf.check_python_headers()
	if not conf.env['PYTHON_VERSION'] in "2.4 2.5 2.6 2.7".split(): Logs.warning('Bad Python version %s ' % str(conf.env['PYTHON_VERSION']))
	conf.check_tool('ocaml')
	if not conf.env['OCAMLOPT']: conf.fatal('Semantik requires ocamlopt (compilation only)')

	try:
		conf.check_tool('kde4')
		Utils.pprint('GREEN', "And you even have kde4! we will use it")
	except Configure.ConfigurationError:
		raise
		#Utils.pprint('YELLOW', "kde4 is disabled (missing)")
		conf.fatal('Compiling Semantik requires kde4 -devel')

	conf.env['OCALINKFLAGS_OPT_PP']= ' str.cmxa '
	conf.env['LINKFLAGS_CAML'] = '-lasmrun -lstr -lnums'.split()
	conf.env['LIBPATH_CAML'] = conf.env['OCAMLLIB']
	conf.env['LIB_CAML'] = "m".split()
	conf.env['OCAMLFLAGS_TWT'] = '-pp default/util/ocaml+twt ' #-unsafe -noassert -inline 10'
	conf.env['CXXDEFINES']='WAF'
	conf.define('ICONS', icons)
	conf.define('VERSION', VERSION)

	conf.define('SEMANTIK_DIR', conf.env['KDE4_DATA_INSTALL_DIR']+'/semantik')
	conf.define('TEMPLATE_DIR', conf.env['KDE4_DATA_INSTALL_DIR']+'/semantik/templates/')
	conf.define('FILTER_DIR', conf.env['KDE4_DATA_INSTALL_DIR']+'/semantik/filters/')
	conf.env['PICDIR'] = conf.env['KDE4_ICON_INSTALL_DIR'] #j('share/pixmaps/')

	if Options.options.use64:
		conf.env['shlib_INST_DIR'] = 'lib64'

	conf.env['CXXFLAGS_PYEMBED'] = [x for x in conf.env['CXXFLAGS_PYEMBED'] if x != '-g']

	conf.env['CXXFLAGS']='-O2 -pipe -Wall'# -DDEBUG=1 -g'
	conf.write_config_header('aux.h')

	# the Debian packagers compile with --prefix=/usr and set /etc/ld.so.conf accordingly
	# the rpath is for end users installing into /usr/local/lib only
	sur = '/usr/local'
	if Options.options.prefix[:len(sur)] == sur:
		conf.env['RPATH_NABLAH'] = '-Wl,--rpath=/usr/local/lib'

def set_options(opt):
	opt.tool_options('kde4')
	opt.tool_options('qt4')
	opt.tool_options('python')
	opt.add_option('--exe', action='store_true', default=False, help='execute after the compilation (developers)')
	opt.add_option('--icons', action='store', default='', help='icon dirs where to look for kde icons (configuration)')
	opt.add_option('--use64', action='store_true', default=False, help='set the installation into lib+64 (configuration)')

def shutdown():
	if Options.commands['install']:
		try: os.popen('/sbin/ldconfig 2> /dev/null')
		except: pass
	if Options.options.exe:
		#os.popen('export LD_LIBRARY_PATH=build/default/:$LD_LIBRARY_PATH; PATH=plugins:$PATH build/default/src/semantik')
		os.popen('LD_LIBRARY_PATH=build/default/:$LD_LIBRARY_PATH build/default/src/semantik --style plastique')

	return
	# display the graph of header dependencies
	root = os.path.abspath('.')
	def rep(x):
		return str(x).replace(root, '')

	import types
	f = open('me.dot', 'w')
	f.write("digraph G {\n")
	table = Build.bld.depends_on
	for a in table:
		for x in table[a]:
			if type(table[a][x]) is types.ListType:
				for y in table[a][x]:
					f.write('"%s" -> "%s";\n' % (rep(x), rep(y)))
			else:
				f.write('"%s" -> "%s";\n' % (rep(x), rep(table[a][x])))
	f.write('}\n')
	f.close()

	try:
		os.popen('dot -Tpng me.dot -ofoo.png').read()
	except:
		print "the dot program was not found - install graphviz?"
	else:
		print "generated foo.png"

=== src/templates/beamer/wscript ===
--- 
+++ 
@@ -11,7 +11,7 @@
 $ waf --view
 '''
 
-import os, Params
+import os, Options
 
 VERSION = '0.0.1'
 APPNAME = 'test'
@@ -20,8 +20,7 @@
 blddir = 'build'
 
 def build(bld) :
-	target = bld.create_obj('tex', 'pdflatex')
-	target.source = 'main.tex'
+	bld.new_task_gen(features='tex', type='pdflatex', source='main.tex')
 
 def configure(configuration):
         configuration.check_tool('tex')
@@ -48,7 +47,7 @@
 		except:
 			return None
 
-	if Params.g_options.view:
+	if Options.options.view:
 		for i in ["kpdf", "gnome-open", "xpdf"]:
 			if exists(i):
 				os.popen("%s build/default/main.pdf" % i)

## semantik 0.7.2

=== wscript ===
--- 
+++ 
@@ -4,16 +4,19 @@
 # Tots els suggeriments són benvinguts
 
 APPNAME='semantik'
-VERSION='0.7.1'
+VERSION='0.7.2'
 
 srcdir = '.'
 blddir = 'build'
 
 import os, sys, re
-import Task, Utils, Configure, Options
+import Task, Utils, Configure, Options, Logs
 
 try: import hashlib as md5
 except: import md5
+
+#import Configure
+#Configure.autoconfig = 1
 
 #Params.g_autoconfig=1
 
@@ -93,7 +96,7 @@
 	obj.install_path = '${KDE4_BIN_INSTALL_DIR}/'
 	#obj.defines = ['''TT1=\'"%s"\'''' % time.ctime(), '''TT2='"%s"' ''' % time.ctime(), 'foo=2']
 
-	obj.includes = 'src src/fig'
+	obj.includes = '. src src/fig'
 	obj.add_objects = 'camlprog'
 
 	import Task
@@ -106,9 +109,10 @@
 	bld.install_files('${SEMANTIK_DIR}/flags', 'src/flags/*.svg')
 	bld.install_files('${TEMPLATE_DIR}', rt+'*.py')
 
-	tgt = bld.env_of_name('default')['TEMPLATE_DIR']+'waf'
-        if env.get_destdir(): tgt = os.path.join(env.get_destdir(), tgt.lstrip(os.sep))
-	bld.do_install(os.path.abspath('waf'), tgt)
+	if Options.is_install:
+		tgt = bld.env_of_name('default')['TEMPLATE_DIR']+'waf'
+		if env.get_destdir(): tgt = os.path.join(env.get_destdir(), tgt.lstrip(os.sep))
+		bld.do_install(os.path.abspath('waf'), tgt)
 
 	bld.install_files('${TEMPLATE_DIR}/pdflatex', rt+'pdflatex/*')
 	for x in 'html odt odp java'.split():
@@ -133,6 +137,7 @@
 	bld.install_files('${FILTER_DIR}/', 'src/filters/*')
 
 	bld.install_files('${KDE4_XDG_APPS_INSTALL_DIR}/', 'src/data/semantik.desktop')
+	bld.install_as('${KDE4_ICON_INSTALL_DIR}/hicolor/128x128/apps/semantik.png', 'src/data/hi128-app-semantik.png')
 	bld.install_as('${KDE4_ICON_INSTALL_DIR}/hicolor/64x64/apps/semantik.png', 'src/data/hi64-app-semantik.png')
 	bld.install_as('${KDE4_ICON_INSTALL_DIR}/hicolor/48x48/apps/semantik.png', 'src/data/hi48-app-semantik.png')
 	bld.install_as('${KDE4_ICON_INSTALL_DIR}/hicolor/22x22/apps/semantik.png', 'src/data/hi22-app-semantik.png')
@@ -172,7 +177,7 @@
 	else:
 		icons = '/usr/share/icons:/usr:/etc/opt/kde3/share/icons/:/opt/kde3/share/icons/:/var/lib/mandriva/kde-profiles/powerpackplus/share/icons/:/usr/share/icons/'
 		if not Options.options.icons:
-			Logs.warning("For now Semantik uses a few kde icons - if you have problems seeing the icons install kde")
+			Logs.warn("For now Semantik uses a few kde icons - if you have problems seeing the icons install kde")
 
 	if Options.options.icons:
 		icons = Options.options.icons
@@ -185,9 +190,12 @@
 	if not conf.env['PYTHON']: conf.fatal('Semantik requires Python >= 2.5 (development package for the compilation)')
 	conf.check_python_version((2,4,2))
 	conf.check_python_headers()
-	if not conf.env['PYTHON_VERSION'] in "2.4 2.5 2.6 2.7".split(): Logs.warning('Bad Python version %s ' % str(conf.env['PYTHON_VERSION']))
+	if not conf.env['PYTHON_VERSION'] in "2.4 2.5 2.6 2.7".split(): Logs.warn('Bad Python version %s ' % str(conf.env['PYTHON_VERSION']))
 	conf.check_tool('ocaml')
 	if not conf.env['OCAMLOPT']: conf.fatal('Semantik requires ocamlopt (compilation only)')
+
+	#ret = Utils.cmd_output('python-config --cflags').strip().split()
+	#conf.env.append_value('CXXFLAGS_CAML', ret)
 
 	try:
 		conf.check_tool('kde4')
@@ -197,11 +205,11 @@
 		#Utils.pprint('YELLOW', "kde4 is disabled (missing)")
 		conf.fatal('Compiling Semantik requires kde4 -devel')
 
-	conf.env['OCALINKFLAGS_OPT_PP']= ' str.cmxa '
+	conf.env['OCALINKFLAGS_OPT_PP']= 'str.cmxa'
 	conf.env['LINKFLAGS_CAML'] = '-lasmrun -lstr -lnums'.split()
 	conf.env['LIBPATH_CAML'] = conf.env['OCAMLLIB']
 	conf.env['LIB_CAML'] = "m".split()
-	conf.env['OCAMLFLAGS_TWT'] = '-pp default/util/ocaml+twt ' #-unsafe -noassert -inline 10'
+	conf.env['OCAMLFLAGS_TWT'] = '-pp default/util/ocaml+twt'.split() #-unsafe -noassert -inline 10'
 	conf.env['CXXDEFINES']='WAF'
 	conf.define('ICONS', icons)
 	conf.define('VERSION', VERSION)
@@ -216,7 +224,7 @@
 
 	conf.env['CXXFLAGS_PYEMBED'] = [x for x in conf.env['CXXFLAGS_PYEMBED'] if x != '-g']
 
-	conf.env['CXXFLAGS']='-O2 -pipe -Wall'# -DDEBUG=1 -g'
+	conf.env['CXXFLAGS']='-O2 -pipe -Wall'.split()# -DDEBUG=1 -g'
 	conf.write_config_header('aux.h')
 
 	# the Debian packagers compile with --prefix=/usr and set /etc/ld.so.conf accordingly

=== src/templates/pdflatex/wscript ===
#! /usr/bin/python
# -*- mode: python encoding: UTF-8 -*-

'''
run:
$ waf configure
$ waf
$ waf --view

or just:
$ waf --view
'''

import os
import Options

VERSION = '0.0.1'
APPNAME = 'pdf'

srcdir = '.'
blddir = 'build'

def set_options(opts):
	opts.add_option('--view', action='store_true', default=False, help='View the document')

def configure(conf):
        conf.check_tool('tex')
	if not conf.env['PDFLATEX']:
		conf.fatal('install pdflatex!')

def build(bld) :
	bld.new_task_gen(features='tex pdflatex', source='main.tex')

def shutdown():
	def exists(cmd):
		try:
			txt = os.popen("which %s 2>/dev/null "%cmd).read().strip()
			return len(txt)>=len(cmd)
		except:
			return None

	if Options.options.view:
		for i in ["kpdf", "gnome-open", "xpdf"]:
			if exists(i):
				os.popen("%s build/default/main.pdf" % i)
				break

## semantik 0.7.3

=== wscript ===
--- 
+++ 
@@ -1,10 +1,9 @@
 #! /usr/bin/env python
 # encoding: utf-8
-# Thomas Nagy, 2007 (ita)
-# Tots els suggeriments són benvinguts
+# Thomas Nagy, 2007-2009 (pvm)
 
 APPNAME='semantik'
-VERSION='0.7.2'
+VERSION='0.7.3'
 
 srcdir = '.'
 blddir = 'build'
@@ -49,6 +48,8 @@
 def build(bld):
 	env = bld.env_of_name('default')
 
+	Options.options.compile_targets = 'camlprog,util/ocamltwt,nablah,src/semantik'
+
 	os.environ['LD_LIBRARY_PATH'] = env['LIBPATH_KDECORE']+':'+os.environ.get('LD_LIBRARY_PATH', '')
 
 	import ocaml
@@ -58,7 +59,7 @@
 	ibj.type = 'native'
 	ibj.includes = 'util'
 	ibj.find_sources_in_dirs('util')
-	ibj.target = 'util/ocaml+twt'
+	ibj.target = 'util/ocamltwt'
 	ibj.are_deps_set=1
 	ibj.uselib='PP'
 
@@ -66,7 +67,6 @@
 
 	abj = bld.new_task_gen('ocaml')
 	abj.type = 'c_object'
-	#abj.source = ['src/armtlkto.c']
 	abj.find_sources_in_dirs('src', exts=['.c', '.ml', '.mli'])
 	abj.includes='. src'
 	abj.target='camlprog'
@@ -89,7 +89,7 @@
 
 	import time
 	obj = bld.new_task_gen(features='cxx qt4 cprogram pyembed')
-	obj.find_sources_in_dirs('src src/fig', excludes=['src/armtlkto.c'], exts=['.cpp'])
+	obj.find_sources_in_dirs('src src/fig', excludes=['src/aux.c'], exts=['.cpp'])
 	obj.uselib = 'QTCORE QTGUI QTXML QTSVG CAML NABLAH KDECORE KIO KDEUI KHTML'
 	obj.uselib_local = 'nablah'
 	obj.target = 'src/semantik'
@@ -153,6 +153,8 @@
 			uh = els[2].replace('.png', '')
 			uh = 'oxygen/%sx%s/actions/%s.png' % (size, size, uh)
 			bld.install_as('${KDE4_ICON_INSTALL_DIR}/' + uh, 'src/images/%s' % x)
+
+	bld.add_post_fun(post_build)
 
 def configure(conf):
 	def test(system):
@@ -182,17 +184,17 @@
 	if Options.options.icons:
 		icons = Options.options.icons
 
-        conf.check_tool('gcc g++ qt4')
+	conf.check_tool('gcc g++ qt4')
+	if not conf.env.CXX: conf.fatal('Semantik requires g++ (compilation only)')
+	if not conf.env.QT_LRELEASE: conf.fatal('Semantik requires the program lrelease (from the Qt linguist package? - compilation only)')
 	conf.check_tool('python')
-	if not conf.env['CXX']: conf.fatal('Semantik requires g++ (compilation only)')
-	if not conf.env['QT_LRELEASE']: conf.fatal('Semantik requires the program lrelease (from the Qt linguist package? - compilation only)')
-	#if conf.env['HAVE_QTWEBKIT'] != 1: conf.fatal('QtWebKit not found - Semantik requires Qt 4.4')
-	if not conf.env['PYTHON']: conf.fatal('Semantik requires Python >= 2.5 (development package for the compilation)')
+	if conf.env.HAVE_QTWEBKIT != 1: conf.fatal('QtWebKit not found - Semantik requires Qt >= 4.4')
+	if not conf.env.PYTHON: conf.fatal('Semantik requires Python >= 2.5 (development package for the compilation)')
 	conf.check_python_version((2,4,2))
 	conf.check_python_headers()
-	if not conf.env['PYTHON_VERSION'] in "2.4 2.5 2.6 2.7".split(): Logs.warn('Bad Python version %s ' % str(conf.env['PYTHON_VERSION']))
+	if not conf.env.PYTHON_VERSION in "2.4 2.5 2.6 2.7".split(): Logs.warn('Bad Python version %s ' % str(conf.env.PYTHON_VERSION))
 	conf.check_tool('ocaml')
-	if not conf.env['OCAMLOPT']: conf.fatal('Semantik requires ocamlopt (compilation only)')
+	if not conf.env.OCAMLOPT: conf.fatal('Semantik requires ocamlopt (compilation only)')
 
 	#ret = Utils.cmd_output('python-config --cflags').strip().split()
 	#conf.env.append_value('CXXFLAGS_CAML', ret)
@@ -205,33 +207,33 @@
 		#Utils.pprint('YELLOW', "kde4 is disabled (missing)")
 		conf.fatal('Compiling Semantik requires kde4 -devel')
 
-	conf.env['OCALINKFLAGS_OPT_PP']= 'str.cmxa'
-	conf.env['LINKFLAGS_CAML'] = '-lasmrun -lstr -lnums'.split()
-	conf.env['LIBPATH_CAML'] = conf.env['OCAMLLIB']
-	conf.env['LIB_CAML'] = "m".split()
-	conf.env['OCAMLFLAGS_TWT'] = '-pp default/util/ocaml+twt'.split() #-unsafe -noassert -inline 10'
-	conf.env['CXXDEFINES']='WAF'
+	conf.env.OCALINKFLAGS_OPT_PP = 'str.cmxa'
+	conf.env.LINKFLAGS_CAML = '-lasmrun -lstr -lnums'.split()
+	conf.env.LIBPATH_CAML = conf.env.OCAMLLIB
+	conf.env.LIB_CAML = "m".split()
+	conf.env.OCAMLFLAGS_TWT = '-pp default/util/ocamltwt'.split() #-unsafe -noassert -inline 10'
+	conf.env.CXXDEFINES ='WAF'
 	conf.define('ICONS', icons)
 	conf.define('VERSION', VERSION)
 
-	conf.define('SEMANTIK_DIR', conf.env['KDE4_DATA_INSTALL_DIR']+'/semantik')
-	conf.define('TEMPLATE_DIR', conf.env['KDE4_DATA_INSTALL_DIR']+'/semantik/templates/')
-	conf.define('FILTER_DIR', conf.env['KDE4_DATA_INSTALL_DIR']+'/semantik/filters/')
-	conf.env['PICDIR'] = conf.env['KDE4_ICON_INSTALL_DIR'] #j('share/pixmaps/')
+	conf.define('SEMANTIK_DIR', conf.env.KDE4_DATA_INSTALL_DIR + '/semantik')
+	conf.define('TEMPLATE_DIR', conf.env.KDE4_DATA_INSTALL_DIR + '/semantik/templates/')
+	conf.define('FILTER_DIR', conf.env.KDE4_DATA_INSTALL_DIR +'/semantik/filters/')
+	conf.env.PICDIR = conf.env.KDE4_ICON_INSTALL_DIR #j('share/pixmaps/')
 
 	if Options.options.use64:
-		conf.env['shlib_INST_DIR'] = 'lib64'
-
-	conf.env['CXXFLAGS_PYEMBED'] = [x for x in conf.env['CXXFLAGS_PYEMBED'] if x != '-g']
-
-	conf.env['CXXFLAGS']='-O2 -pipe -Wall'.split()# -DDEBUG=1 -g'
+		conf.env.shlib_INST_DIR = 'lib64'
+
+	conf.env.CXXFLAGS_PYEMBED = [x for x in conf.env.CXXFLAGS_PYEMBED if x != '-g']
+
+	conf.env.CXXFLAGS = '-O2 -pipe -Wall'.split()# -DDEBUG=1 -g'
 	conf.write_config_header('aux.h')
 
 	# the Debian packagers compile with --prefix=/usr and set /etc/ld.so.conf accordingly
 	# the rpath is for end users installing into /usr/local/lib only
 	sur = '/usr/local'
 	if Options.options.prefix[:len(sur)] == sur:
-		conf.env['RPATH_NABLAH'] = '-Wl,--rpath=/usr/local/lib'
+		conf.env.RPATH_NABLAH = '-Wl,--rpath=/usr/local/lib'
 
 def set_options(opt):
 	opt.tool_options('kde4')
@@ -241,7 +243,7 @@
 	opt.add_option('--icons', action='store', default='', help='icon dirs where to look for kde icons (configuration)')
 	opt.add_option('--use64', action='store_true', default=False, help='set the installation into lib+64 (configuration)')
 
-def shutdown():
+def post_build(bld):
 	if Options.commands['install']:
 		try: os.popen('/sbin/ldconfig 2> /dev/null')
 		except: pass
@@ -258,7 +260,7 @@
 	import types
 	f = open('me.dot', 'w')
 	f.write("digraph G {\n")
-	table = Build.bld.depends_on
+	table = bld.depends_on
 	for a in table:
 		for x in table[a]:
 			if type(table[a][x]) is types.ListType:

=== debian/changelog ===
semantik (0.7.3-0ubuntu4) oneiric; urgency=low

  * add build dependency on libqtwebkit4 (LP: #837429)
  * remove unneeded link against libstr.a not present in ocaml-nox anymore
  * remove dpatch b-d 
  * bump standard version to 3.9.2, no changes necessary 
  * replace dh_clean -k with dh_prep 

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 31 Aug 2011 12:17:53 +0200

semantik (0.7.3-0ubuntu3) oneiric; urgency=low

  * Rebuild to pick up armel ocaml fixes.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Aug 2011 13:43:50 -0600

semantik (0.7.3-0ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Dec 2010 16:56:25 +0000

semantik (0.7.3-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Update debian/patches/kubuntu_01_wscript_log.diff
  * Bump Standards-Version to 3.9.1
  * Switch to source format 3.0 to avoid repacking the tarball:
    - Bump debhelper/compat version to 7
    - Remove quilt build-dependency, no longer required
    - Remove README.source, as none is required when using quilt with
      source format 3.0 (quilt)
  * Add missing epoch to the versioned build-dependency on libqt4-dev

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 01 Nov 2010 19:59:12 -0400

semantik (0.7.2-0ubuntu3) maverick; urgency=low

  * Rebuild for qtwebkit transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Jul 2010 12:07:43 +0100

semantik (0.7.2-0ubuntu2) lucid; urgency=low

  * Add missing build dependencies to fix FTBFS: pkg-config, libxrender-dev
  * debian/control: add {$misc:Depends} to Depends
  * Added debian/README.source
  * Bumped Standards-Version to 3.8.3
  * Fixed watch file
  * debian/semantik.lintian: update script-not-executable warnings

 -- Ilya Barygin <barygin@gmail.com>  Sat, 16 Jan 2010 18:06:57 +0300

semantik (0.7.2-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Update kubuntu_01_wscript_log.dpatch

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 02 May 2009 11:31:48 +0200

semantik (0.7.1-0ubuntu2) jaunty; urgency=low

  * Add kubuntu_01_wscript_log.dpatch to convert non-functional log statements
    to print and fix FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Wed, 15 Apr 2009 15:40:27 -0400

semantik (0.7.1-0ubuntu1) jaunty; urgency=low

  * New upstream release.
  * Removed kubuntu_01_configuration_fix.dpatch since it's not needed anymore.

 -- Michał Zając <michal.zajac@gmail.com>  Tue, 14 Apr 2009 20:46:13 +0200

semantik (0.6.8-0ubuntu2) jaunty; urgency=low

  * Added kubuntu_02_menu_entry_fix.dpatch (LP: #295999) 

 -- Michał Zając <michal.zajac@gmail.com>  Wed, 08 Apr 2009 16:55:17 +0200

semantik (0.6.8-0ubuntu1) intrepid; urgency=low

  [ Iain Lane ]
  * New upstream release (LP: #259599)
  * Remove kubuntu_{02,03}_... - fixed upstream 
  * debian/rules: Copy .py files from correct path, fixing FTBFS 

  [ Jonathan Patrick Davies ]
  * debian/control:
    - Updated Standards-Version to 3.8.0.
    - Updated debhelper dependency to version 6.
    - Updated my email address.
  * debian/compat: Updated to version 6.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 26 Aug 2008 15:07:41 +0100

semantik (0.6.5-0ubuntu1) hardy; urgency=low

  * New upstream release (LP: #181326).
  * Added kubuntu_01_configuration_fix.dpatch - fixed up build system for KDE4.
  * Added kubuntu_02_syntax_error_fix.dpatch - fixed syntax error in build
    system.
  * Added kubuntu_03_header_fix.diff - fixed up included header files.
  * Added rules for dpatch and installation into /usr/lib/kde4/.

  [Jonathan Patrick Davies]
  * Updated Standards-Version to 3.7.3.
  * Added build dependencies on kdelibs5-dev and dpatch.
  * Feature Freeze Exception (LP: #192350).

 -- Jean-Baptiste Giraudeau <jbgiraudeau@gmail.com>  Thu, 14 Feb 2008 13:10:13 +0100

semantik (0.6.1really0.5.9-0ubuntu1) hardy; urgency=low

  * Downgrade to last buildable version (breaks with KDE4).
  * Removed dep on kdelibs5-dev.
  * Moved overrides/ to semantik.lintian.
  * Changed rules to dh_* scripts (fix build).
  * Removed dependency on CDBS.
  * Moved Homepage to new policy location.
  * Added watch file.
  * Dropped kubuntu_01_disable_rpath.diff - define with --want-rpath=0 instead.

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Tue, 27 Oct 2007 18:40:34 +0100

semantik (0.6.0-0ubuntu1) hardy; urgency=low

  * Initial release. (LP: #131223)
  * Created kubuntu_01_disable_rpath.diff - self explanatory.

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Tue, 13 Oct 2007 18:15:50 +0100

=== debian/control ===
Source: semantik
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Patrick Davies <jpds@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), libqt4-dev (>= 4:4.5), kdelibs5-dev,
  python (>= 2.3), python-dev (>= 2.3), ocaml-nox, docbook2x,
  pkg-config, libxrender-dev, libqtwebkit-dev
Standards-Version: 3.9.2
Homepage: http://freehackers.org/~tnagy/semantik.html

Package: semantik
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>= 2.3)
Replaces: kdissert (<= 1.0.6)
Description: mindmapping-like tool for KDE
 Semantik is a mindmapping-like tool to help students to produce complicated
 documents very quickly and efficiently: presentations, dissertations, thesis,
 reports. While targetted mostly at students, Semantik can also help teachers,
 decision maker, engineers and businessmen.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp

build-stamp:
	dh_testdir
	PATH=$(PATH):/usr/lib/kde4/bin ./waf configure --prefix=/usr --want-rpath=0
	docbook2x-man debian/semantik.1.docbook
	./waf
	touch build-stamp

clean: clean-patched

clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f semantik.1
	rm -f kde4.pyc
	rm -rf build
	rm -rf .waf*
	rm -f .lock-wscript
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	DESTDIR=$(CURDIR)/debian/semantik ./waf -f install
	
	chmod +x $(CURDIR)/debian/semantik/usr/share/kde4/apps/semantik/filters/*.py
	# Lintian overrides
	install -D -o root -g root -m 0644 debian/semantik.lintian debian/semantik/usr/share/lintian/overrides/semantik

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installman semantik.1
	dh_installdocs
	dh_install
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://code.google.com/p/semantik/downloads/list http://semantik.googlecode.com/files/semantik-(\d.*).tar.bz2
